---
title: WebGLRenderingContext.depthRange()
slug: Web/API/WebGLRenderingContext/depthRange
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGLRenderingContext
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong><code>WebGLRenderingContext.depthRange()</code></strong> method of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL API</a> specifies the depth range mapping from normalized device coordinates to window or viewport coordinates.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">void <var>gl</var>.depthRange(<var>zNear</var>, <var>zFar</var>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>zNear</code></dt>
 <dd>A {{domxref("GLclampf")}} specifying the mapping of the near clipping plane to window or viewport coordinates. Clamped to the range 0 to 1 and must be less than or equal to <code>zFar</code>. The default value i<code>s 0.</code></dd>
 <dt><code>zFar</code></dt>
 <dd>A {{domxref("GLclampf")}} specifying the mapping of the far clipping plane to window or viewport coordinates. Clamped to the range 0 to 1. The default value i<code>s 1.</code></dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>None.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">gl.depthRange(0.2, 0.6);
</pre>

<p>To check the current depth range, query the <code>DEPTH_RANGE</code> constant which returns a {{jsxref("Float32Array")}}</p>

<pre class="brush: js">gl.getParameter(gl.DEPTH_RANGE);
// Float32Array[0.2, 0.6]
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL', "#5.14.3", "depthRange")}}</td>
   <td>{{Spec2('WebGL')}}</td>
   <td>Initial definition. Unlike OpenGL, WebGL requires <code>zNear</code> and <code>zFar</code> values to be clamped to the range 0 to 1. Additionally, <code>zNear</code> must be less than or equal to <code>zFar</code>.</td>
  </tr>
  <tr>
   <td>{{SpecName('OpenGL ES 2.0', "glDepthRangef.xml", "glDepthRangef")}}</td>
   <td>{{Spec2('OpenGL ES 2.0')}}</td>
   <td>Man page of the OpenGL API.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGLRenderingContext.depthRange")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLRenderingContext.viewport()")}}</li>
 <li>{{domxref("WebGLRenderingContext.depthFunc()")}}</li>
</ul>
